' a sample class used to demonstrate data binding

Class Employee
    Dim m_FirstName As String
    Dim m_LastName As String
    Dim m_BirthDate As Date
    Dim m_PartTimeEmployee As Boolean
    Dim m_DepartmentID As Integer

    ' a suitable constructor

    Sub New(ByVal fname As String, ByVal lname As String, ByVal bdate As Date, Optional ByVal ptime As Boolean = False, Optional ByVal deptId As Integer = 0)
        Me.FirstName = fname
        Me.LastName = lname
        Me.BirthDate = bdate
        Me.PartTimeEmployee = ptime
        Me.DepartmentID = deptId
    End Sub

    ' all property procedures

    Property FirstName() As String
        Get
            Return m_FirstName
        End Get
        Set(ByVal Value As String)
            m_FirstName = Value
        End Set
    End Property

    Property LastName() As String
        Get
            Return m_LastName
        End Get
        Set(ByVal Value As String)
            m_LastName = Value
        End Set
    End Property

    Property BirthDate() As Date
        Get
            Return m_BirthDate
        End Get
        Set(ByVal Value As Date)
            m_BirthDate = Value
        End Set
    End Property

    Property PartTimeEmployee() As Boolean
        Get
            Return m_PartTimeEmployee
        End Get
        Set(ByVal Value As Boolean)
            m_PartTimeEmployee = Value
        End Set
    End Property

    Property DepartmentID() As Integer
        Get
            Return m_DepartmentID
        End Get
        Set(ByVal Value As Integer)
            m_DepartmentID = Value
        End Set
    End Property

End Class

Public Class Department
    Dim m_Name As String
    Dim m_ID As Integer

    Sub New(ByVal name As String, ByVal id As Integer)
        Me.Name = name
        Me.ID = id
    End Sub

    Property Name() As String
        Get
            Return m_Name
        End Get
        Set(ByVal Value As String)
            m_Name = Value
        End Set
    End Property

    Property ID() As Integer
        Get
            Return m_ID
        End Get
        Set(ByVal Value As Integer)
            m_ID = Value
        End Set
    End Property

End Class